%define uname hg_git
Summary:        Mercurial plugin for communicating with Git servers
Name:           hg-git
Version:        1.2.0
Release:        %mkrel 1
License:        GPLv2
Group:          Development/Tools
Url:            https://hg-git.github.io

Source0:        https://pypi.python.org/packages/source/h/%{name}/%{uname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  mercurial
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-dulwich
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(setuptools-scm[toml])
Requires:       mercurial


%description
This is the Hg-Git plugin for Mercurial, adding the ability to push to
and pull from a Git server repository from Mercurial. This means you
can collaborate on Git based projects from Mercurial, or use a Git
server as a collaboration point for a team with developers using both
Git and Mercurial.

%prep
%autosetup -p1 -n %{uname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hggit

cat <<EOF > hg-git.rc
[extensions]
hgext.bookmarks =
hggit = %{python3_sitelib}/hggit
EOF

%__install -m 755 -d %{buildroot}%{_sysconfdir}/mercurial/hgrc.d
%__install -m 644 hg-git.rc %{buildroot}%{_sysconfdir}/mercurial/hgrc.d/

%files -f %{pyproject_files}
%doc COPYING
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/hg-git.rc



%changelog
* Mon Mar 10 2025 papoteur <papoteur> 1.2.0-1.mga10
+ Revision: 2162502
- new version 1.2.0

* Sun Jan 07 2024 papoteur <papoteur> 1.0.3-2.mga10
+ Revision: 2028772
- rebuild for python 3.12

* Mon Dec 04 2023 daviddavid <daviddavid> 1.0.3-1.mga10
+ Revision: 2012903
- new version: 1.0.3
- switch to pyproject

* Tue Apr 05 2022 umeabot <umeabot> 0.10.4-2.mga9
+ Revision: 1844853
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 mrambo3501 <mrambo3501> 0.10.4-1.mga9
+ Revision: 1787447
- verison 0.10.4
- delete Patch0 applied upstream
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.8.13-3.mga9
+ Revision: 1717599
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.8.13-2.mga8
+ Revision: 1538579
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 0.8.13-1.mga8
+ Revision: 1462362
- new version: 0.8.13
- port to python 3

* Sun Oct 28 2018 shlomif <shlomif> 0.8.12-1.mga7
+ Revision: 1326406
- New version 0.8.12

* Thu Sep 20 2018 umeabot <umeabot> 0.8.11-2.mga7
+ Revision: 1278659
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.8.11-1.mga7
+ Revision: 1222029
- New version 0.8.11

* Fri Feb 05 2016 shlomif <shlomif> 0.8.5-1.mga6
+ Revision: 938918
- New version 0.8.5

* Fri Nov 13 2015 shlomif <shlomif> 0.8.3-1.mga6
+ Revision: 903057
- New version 0.8.3 that supports the latest mercurial

* Tue Aug 25 2015 shlomif <shlomif> 0.8.2-1.mga6
+ Revision: 869280
- New version 0.8.2 fixing errors

* Sat Jul 25 2015 philippem <philippem> 0.8.1-1.mga6
+ Revision: 857549
- update to 0.8.1

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-4.mga5
+ Revision: 743168
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.1-3.mga5
+ Revision: 726463
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-2.mga5
+ Revision: 680125
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 philippem <philippem> 0.6.1-1.mga5
+ Revision: 660797
- update to 0.6.1

* Mon Jun 02 2014 philippem <philippem> 0.6.0-1.mga5
+ Revision: 630646
- update to 0.6.0

* Sat May 31 2014 pterjan <pterjan> 0.5.0-2.mga5
+ Revision: 628252
- Rebuild for new Python

* Sun Mar 30 2014 philippem <philippem> 0.5.0-1.mga5
+ Revision: 610473
- update to 0.5.0

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 542673
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.4.0-2.mga4
+ Revision: 497794
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 philippem <philippem> 0.4.0-1.mga4
+ Revision: 491510
- Update to 0.4.0

* Sat Jan 12 2013 umeabot <umeabot> 0.3.3-3.mga3
+ Revision: 353187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 malo <malo> 0.3.3-2.mga3
+ Revision: 309717
- spec clean-up
- update RPM group

* Mon Aug 13 2012 lebedov <lebedov> 0.3.3-1.mga3
+ Revision: 281128
- Update to 0.3.3.

* Sun Feb 05 2012 lebedov <lebedov> 0.3.2-1.mga2
+ Revision: 204887
- Update to 0.3.2.

* Mon Sep 26 2011 boklm <boklm> 0.3.1-1.mga2
+ Revision: 148874
- imported package hg-git


* Tue Sep 20 2011 Lev Givon <lev@mandriva.org> 0.3.1-1mdv2012.0
+ Revision: 700637
- Update to 0.3.1.

* Thu Mar 03 2011 Lev Givon <lev@mandriva.org> 0.2.6-1
+ Revision: 641528
- Update to 0.2.6.

* Tue Nov 02 2010 Lev Givon <lev@mandriva.org> 0.2.5-1mdv2011.0
+ Revision: 592247
- Update to 0.2.5.

* Fri Aug 27 2010 Lev Givon <lev@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 573471
- Update to 0.2.4.

* Sun Jul 11 2010 Lev Givon <lev@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 551170
- Update to 0.2.3.
- Update to 0.2.2.

* Thu Apr 15 2010 Lev Givon <lev@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 534994
- import hg-git

